Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.musiccontentcenter.Music Class Reference

## Public Member Functions
| Music (long songCode, String name, String singer, String poster, String releaseTime, int type, int pitchType, int durationS, int[] lyricTypes, MvProperty[] mvProperties, ClimaxSegment[] climaxSegments)
long | getSongCode ()
String | getName ()
String | getSinger ()
String | getPoster ()
String | getReleaseTime ()
int | getType ()
int | getPitchType ()
int | getDurationS ()
int[] | getLyricTypes ()
MvProperty[] | getMvProperties ()
ClimaxSegment[] | getClimaxSegments ()
String | toString ()

## Public Attributes
long | songCode
String | name
String | singer
String | poster
String | releaseTime
int | type
int | pitchType
int | durationS
int[] | lyricTypes
MvProperty[] | mvProperties
ClimaxSegment[] | climaxSegments

## Member Data Documentation

## ◆ songCode

long io.agora.musiccontentcenter.Music.songCode

The songCode of music

## ◆ name

String io.agora.musiccontentcenter.Music.name

The name of music

## ◆ singer

String io.agora.musiccontentcenter.Music.singer

The singer of music

## ◆ poster

String io.agora.musiccontentcenter.Music.poster

The poster url of music

## ◆ releaseTime

String io.agora.musiccontentcenter.Music.releaseTime

The release time of music

## ◆ type

int io.agora.musiccontentcenter.Music.type

The type of music 1, mp3 with instrumental accompaniment and original 2, mp3 only with instrumental accompaniment 3, mp3 only with original 4, mp4 with instrumental accompaniment and original 5, mv only 6, new type mp4 with instrumental accompaniment and original detail at document of music media center

## ◆ pitchType

int io.agora.musiccontentcenter.Music.pitchType

The pitch type of music. 1, xml lyric has pitch 2, lyric has no pitch

## ◆ durationS

int io.agora.musiccontentcenter.Music.durationS

The duration (in seconds) of music

## ◆ lyricTypes

int [] io.agora.musiccontentcenter.Music.lyricTypes

The lyric list of music 0, xml 1, lrc

## ◆ mvProperties

MvProperty [] io.agora.musiccontentcenter.Music.mvProperties

The number of mv of the music If this value is greater than zero, it means the current music has MV resource

## ◆ climaxSegments

ClimaxSegment [] io.agora.musiccontentcenter.Music.climaxSegments

The climax segment list of music